uudoc(1)

NAME
uudoc - Print output based off of the format string and proceeding arguments.

SYNOPSIS
uudoc [--help] [--version] [FORMAT] [ARGUMENT]

DESCRIPTION
Print output based off of the format string and proceeding arguments.

OPTIONS

--help
    Print help information

--version
    Print version information

[FORMAT]

[ARGUMENT]

EXTRA
Examples Print a text message: printf "{{%s\n}}" "{{Hello world}}" Print an integer in bold blue: printf "{{\e[1;34m%.3d\e[0m\n}}" {{42}} Print a float number with the Unicode Euro sign: printf "{{\u20AC %.2f\n}}" {{123.4}} Print a text message composed with environment variables: printf "{{var1: %s\tvar2: %s\n}}" "{{$VAR1}}" "{{$VAR2}}" Store a formatted message in a variable (does not work on Zsh): printf -v {{myvar}} {{"This is %s = %d\n" "a year" 2016}} Print a hexadecimal, octal and scientific number: printf "{{hex=%x octal=%o scientific=%e\n}}" 0x{{FF}} 0{{377}} {{100000}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0